Create a sub-user
curl --request POST \
--url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/private_basic/users/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dataGb": 123,
"ips": [
"<string>"
]
}
'import requests
url = "https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/private_basic/users/create"
payload = {
"dataGb": 123,
"ips": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({dataGb: 123, ips: ['<string>']})
};
fetch('https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/private_basic/users/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"username": "<string>",
"userId": "test124",
"password": "<string>",
"dataLimit": 123,
"dataUsed": 123,
"dataRemaining": 123,
"status": "<string>",
"dateCreated": "2023-11-07T05:31:56Z",
"whitelistedIps": [
"<string>"
]
}
],
"length": 123
}{
"statusCode": 400,
"message": "User <username or user_id> already exists",
"error": "Bad Request"
}{
"statusCode": 403,
"message": "reseller not found",
"error": "Bad Request"
}Private Basic
Create a sub-user
Creates a sub-user by specifying the data allocation (input: dataGb in GB) and a list of IPs to whitelist for a sub-user (optional). Returns the created user’s details, including userId, username, password, status, dataGb, and dataUsed.
POST
/
proxy_api
/
v1
/
private_basic
/
users
/
create
Create a sub-user
Authorizations
[just text field] Please enter token in following format: Bearer
Body
application/json
⌘I

